
/***********************************************************************************
    Filename:     hal_assert.c

    Description:  Assert functionality

    Copyright (c) 2006 by Texas Instruments, Inc.
    All Rights Reserved.  Permission to use, reproduce, copy, prepare
    derivative works, modify, distribute, perform, display or sell this
    software and/or its documentation for any purpose is prohibited
    without the express written consent of Texas Instruments, Inc.
***********************************************************************************/

/***********************************************************************************
* INCLUDES
*/
#include "hal_assert.h"
#include "hal_led.h"
#include "hal_mcu.h"
#include "hal_defs.h"


/***********************************************************************************
* GLOBAL FUNCTIONS
*/

/***********************************************************************************
* @fn          halAssertHandler
*
* @brief       Logic to handle an assert.
*
* @param       none
*
* @return      none
***********************************************************************************
*/
void halAssertHandler(void)
{
    // execute code that handles asserts
    // blink all leds
    while(TRUE){
        halLedToggle(1);
        halLedToggle(2);
        halMcuWaitMs(50);
    }
}
