/***********************************************************************************
    Filename:     hal_board.c

    Description:  Board specific funtions for the eZ430-RF2480 target board

    Copyright (c) 2007-2008 by Texas Instruments, Inc.
    All Rights Reserved.  Permission to use, reproduce, copy, prepare
    derivative works, modify, distribute, perform, display or sell this
    software and/or its documentation for any purpose is prohibited
    without the express written consent of Texas Instruments, Inc.
***********************************************************************************/

/***********************************************************************************
* INCLUDES
*/
#include "hal_types.h"
#include "hal_defs.h"
#include "hal_digio.h"
#include "hal_int.h"
#include "hal_mcu.h"
#include "hal_board.h"
#include "hal_uart.h"



/***********************************************************************************
* GLOBAL VARIABLES
*/

/***********************************************************************************
* LOCAL FUNCTIONS
*/

/***********************************************************************************
* GLOBAL FUNCTIONS
*/

/***********************************************************************************
* @fn      halBoardInit
*
* @brief   Set up board. Initialize MCU, configure I/O pins and user interfaces
*
* @param   none
*
* @return  none
*/
void halBoardInit(void)
{
    halIntOff();
    halAssyIoInit();
    HAL_LED_SET_1();
    halMcuInit();
    halAssyInit();
    HAL_LED_CLR_1();
    halIntOn();
}

